# Generated by rust2rpm
%bcond_with check
%global debug_package %{nil}

%global crate nasm-rs

Name:           rust-%{crate}
Version:        0.1.5
Release:        2%{?dist}
Summary:        Run NASM during your Cargo build

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/nasm-rs
Source:         %{crates_source}
# Patch to generate DWARF debuginfo instead of STABS. Needed for Rav1e.
# https://github.com/xiph/rav1e/commit/3f711947d749ecdfbbec5af236e97d5b760b7710#diff-3374eb4653baa3be440910b43b58ca64.patch
Patch0:         0001-nasm_rs-Force-the-dwarf-debug-for-elf-targets.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  nasm

%global _description \
Run NASM during your Cargo build.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       nasm

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc README.markdown
%license LICENSE-APACHE LICENSE-MIT
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+parallel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parallel-devel %{_description}

This package contains library source intended for building other packages
which use "parallel" feature of "%{crate}" crate.

%files       -n %{name}+parallel-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages
which use "rayon" feature of "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Dec 20 23:53:53 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.5-2
- Add patch to generate DWARF debuginfo instead of STAB

* Thu Dec 05 18:36:07 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.5-1
- Release 0.1.5

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Mar 20 10:01:10 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.4-2
- Run tests in infrastructure

* Sat Mar 09 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.4-1
- Initial package
